#!/bin/bash
# Submission script for Blake
#SBATCH --job-name=plate_UQ
#SBATCH --time=41:00:00 # hh:mm:ss
#
#SBATCH -N 1
#SBATCH -p blake
#
#SBATCH --comment=test
#SBATCH --output=workspace/MC_direct.%j.out

. ~/.bash_profile $SLURM_SUBMIT_HOST

export MKL_DYNAMIC=TRUE
export OMP_DYNAMIC=FALSE
export OMP_NUM_THREADS=24
export KMP_PLACE_THREADS=24c,2t
export KMP_AFFINITY=compact

python run.py -k ${OMP_NUM_THREADS} katoptron/CMAME/tests/plate_MC_direct_case_1.py
python run.py -k ${OMP_NUM_THREADS} katoptron/CMAME/tests/plate_MC_direct_case_2.py
python run.py -k ${OMP_NUM_THREADS} katoptron/CMAME/tests/plate_MC_direct_case_3.py
python run.py -k ${OMP_NUM_THREADS} katoptron/CMAME/tests/plate_MC_direct_case_4.py
