#!/usr/bin/env python3
# -*- coding: utf8 -*-
# test encoding: à-é-è-ô-ï-€

# Copyright 2022 University of Liège
# 
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
# 
#     http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

# Calls fwk.wutils.run to execute a script as if dartflo was installed

def main():
    import os.path, sys
    # adds fwk/tbox to the python path
    thisdir = os.path.split(os.path.abspath(__file__))[0]
    fwkdir = os.path.abspath(os.path.join(thisdir, 'ext', 'amfe'))
    if not os.path.isdir(fwkdir):
        raise Exception('waves/ext/amfe not found!\n')
    sys.path.append(fwkdir)
    # adds "." to the pythonpath
    sys.path.append(thisdir)

    import fwk.wutils as wu
    wu.run()

if __name__ == "__main__":
    main()
